// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AO4MF/16AO4MF_Linux_2.x.x.x_GSC_DN/driver/open.c $
// $Rev: 44059 $
// $Date: 2018-11-07 16:32:04 -0600 (Wed, 07 Nov 2018) $

// 16AO4MF: Device Driver: source file

#include "main.h"



//*****************************************************************************
int dev_open(chan_data_t* chan)
{
	dev_data_t*	dev		= chan->dev;
	int			ret;

	ret	= dev_io_open(chan);

	if (ret == 0)
		ret	= gsc_dma_open(dev, chan->index);

	if (ret == 0)
		ret	= gsc_irq_open(dev, chan->index);

	if (ret == 0)
		initialize_ioctl(chan, NULL);

	if (ret)
		dev_close(chan);

	return(ret);
}


