// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/16AO4MF/16AO4MF_Linux_2.x.x.x_GSC_DN/samples/id/main.h $
// $Rev: 52827 $
// $Date: 2023-04-11 12:24:48 -0500 (Tue, 11 Apr 2023) $

// 16AO4MF: Sample Application: header file

#ifndef	__MAIN_H__
#define	__MAIN_H__

#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "16ao4mf_utils.h"



// macros *********************************************************************

#define	SIZEOF_ARRAY(a)			(sizeof((a)) / sizeof((a)[0]))



// data types *****************************************************************

typedef struct
{
	// Application Settings

	s32	continuous;		// > 0 = ignore errors, < 0 = stop on errors
	s32	detail;
	s32	index;			// device index
	s32	minute_limit;	// for continuous testing
	int	qty;			// Number of boards detected.
	s32	test_limit;		// for continuous testing

	int	fd[4];			// File descriptors for devices to access.

	// Device Settings

} args_t;



// prototypes *****************************************************************

int		perform_tests(const args_t* args);
void	local_label_str(const char* str);



#endif
